Bug 1448812 - RFE: Rename dnfdragora-gui subpackage to dnfdragora-updater
Summary: RFE: Rename dnfdragora-gui subpackage to dnfdragora-updater
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-08 09:00 UTC by Kevin Kofler
Modified: 2018-01-01 22:09 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:25:54 UTC


Attachments (Terms of Use)
Proposed change to the spec (2.93 KB, patch)
2017-11-20 18:14 UTC, Neal Gompa
no flags Details | Diff

Description Kevin Kofler 2017-05-08 09:00:56 UTC
A sizable proportion of users will likely want to use the dnfdragora GUI without the (autostarting) updater, using instead an updater coming with (the Fedora packaging of) their desktop environment (e.g., GNOME Software's updater or plasma-pk-updates).

It turns out that the dnfdragora main package actually contains everything needed for that (including the .desktop files), which is nice. The graphical libyui and libyui-mga backends are now dragged in through reverse soft dependencies. The dnfdragora-gui package actually contains only the updater. So it would be clearer to users if the name would reflect that.

Therefore, I suggest to keep the split exactly the way it is now, but to change the name of the dnfdragora-gui subpackage to dnfdragora-updater (with Obsoletes/Provides for transition).

Comment 1 Kevin Kofler 2017-07-17 08:29:07 UTC
Ping?

Comment 2 Kevin Kofler 2017-11-20 17:40:44 UTC
Ping? 4 more months have passed, and we are not in a freeze period now, can we please get this rename done?

Comment 3 Neal Gompa 2017-11-20 18:14:26 UTC
Created attachment 1356029 [details]
Proposed change to the spec

Here's a proposed change to fix this issue...

Comment 4 Kevin Kofler 2017-11-20 18:27:56 UTC
Comment on attachment 1356029 [details]
Proposed change to the spec

> -%package gui
> +%package updater
>  Summary:	Meta-package to pull the needed dependencies for %{name} GUI-mode

You'll want to update the Summary too. :-)

Comment 5 Fedora Update System 2017-12-29 22:43:29 UTC
dnfdragora-1.0.1-7.git20171229.24e4647.fc26 dnfdaemon-0.3.18-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 6 Fedora Update System 2017-12-29 22:43:46 UTC
dnfdragora-1.0.1-7.git20171229.24e4647.fc27 dnfdaemon-0.3.18-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 7 Fedora Update System 2017-12-30 19:52:32 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 8 Fedora Update System 2017-12-30 20:38:26 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 9 Fedora Update System 2017-12-31 21:25:54 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-01-01 22:09:44 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.